Android -Studio - Erstellen Skriptfehler, nicht unterstützte Gradle DSL Methode gefunden: ' android ()' !

? helloworld @ | Original: StackOverFlow
---

Ich erhalte den folgenden Fehler in Android Studio 0.4.2, wenn ich versuche, Projekt mit gradle synchronisieren .

Gradle 'GooglePlayServicesTest' project refresh failed:
       Build script error, unsupported Gradle DSL method found: 'android()'!

Meine Projekte gradle Datei ist wie folgt: -

buildscript {
repositories {
    mavenCentral()
}
dependencies {
    classpath 'com.android.tools.build:gradle:0.7.+'
}
}

allprojects {
repositories {
    mavenCentral()
}
}


android{

compileSdkVersion 19
buildToolsVersion "19.0.1"

defaultConfig {
    minSdkVersion 10
    targetSdkVersion 19
    versionCode 1
    versionName "1.0"
}

sourceSets{
    main{
        manifest.srcFile 'GooglePlayServicesTest/src/main/AndroidManifest.xml'
    }
}
}

gradle Datei des Moduls: -

apply plugin: 'android'

android {
compileSdkVersion 19
buildToolsVersion "19.0.1"

defaultConfig {
    minSdkVersion 10
    targetSdkVersion 19
    versionCode 1
    versionName "1.0"
}
buildTypes {
    release {
        runProguard false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
    }
  }
}
dependencies {
compile 'com.android.support:appcompat-v7:+'
}

Auch habe ich die miniSDKVersion und targetSDKVersion aus AndroidManifest.xml entfernt

kann mir jemand helfen, diesen Fehler zu beheben.

---

Top 5 Antwort

1fookwood @

android Verfahren bei der Projekt gradle Datei nicht needed.Try um es zu entfernen .

2hamid @

Fügen Sie oben in Ihrem Projekt build.gradle file:

apply plugin: 'com.android.application'